package com.ruoyi.system.mapper;

import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.system.domain.SyncPost;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/8/30
 * @Version V1.0
 */
public interface GasCommonMapper {

    @DataSource(DataSourceType.SLAVE_AIS)
    List<Map<String,Object>> querySemInstrument(@Param("table") String table);

    @DataSource(DataSourceType.SLAVE_AIS)
    List<Map<String, Object>> queryIllegalShip(@Param("syncPost") SyncPost syncPost);

    @DataSource(DataSourceType.SLAVE_BLACK)
    List<Map<String, Object>> queryShipRecognition(@Param("syncPost") SyncPost syncPost);

    @DataSource(DataSourceType.SLAVE_SO2)
    List<Map<String, Object>> queryAlert(@Param("syncPost") SyncPost syncPost);

    @DataSource(DataSourceType.SLAVE_SO2)
    List<Map<String, Object>> queryMonitorPoint(@Param("syncPost") SyncPost syncPost);

    @DataSource(DataSourceType.SLAVE_SO2)
    List<Map<String, Object>> queryShipStaticInfo(@Param("syncPost") SyncPost syncPost);
}
